Package org.kie.internal.task.query

## Enum TaskSummaryQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<TaskSummaryQueryBuilder.OrderBy>
  - - org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy

- All Implemented Interfaces:
    `Serializable`, `Comparable<TaskSummaryQueryBuilder.OrderBy>`
  Enclosing interface:
    TaskSummaryQueryBuilder

      public static enum TaskSummaryQueryBuilder.OrderBy
      extends Enum<TaskSummaryQueryBuilder.OrderBy>

  /** An enum used to specify the criteria for ordering the results of the query

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `createdBy` |
    `createdOn` |
    `processInstanceId` |
    `taskId` |
    `taskName` |
    `taskStatus` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskSummaryQueryBuilder.OrderBy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TaskSummaryQueryBuilder.OrderBy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### taskId

          public static final TaskSummaryQueryBuilder.OrderBy taskId

    - #### processInstanceId

          public static final TaskSummaryQueryBuilder.OrderBy processInstanceId

    - #### taskName

          public static final TaskSummaryQueryBuilder.OrderBy taskName

    - #### taskStatus

          public static final TaskSummaryQueryBuilder.OrderBy taskStatus

    - #### createdOn

          public static final TaskSummaryQueryBuilder.OrderBy createdOn

    - #### createdBy

          public static final TaskSummaryQueryBuilder.OrderBy createdBy

  - ### Method Detail

    - #### values

          public static TaskSummaryQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskSummaryQueryBuilder.OrderBy c : TaskSummaryQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskSummaryQueryBuilder.OrderBy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null